## aptly 1.3.0+ds1

=== Makefile ===
# Basic DIRes
DESTDIR ?=
PREFIX  ?= /usr
BINDIR  ?= $(PREFIX)/bin
MANDIR  ?= $(PREFIX)/share/man

# Build with pcre by default
ENABLE  ?= libpcreposix

# GNU make executes the commands here and sets the variables to the outputs
EXTRA_LIBS  = $(shell $(EXTRA_LIBS!))
EXTRA_FLAGS = $(shell $(EXTRA_FLAGS!))

# pmake executes the commands, GNU make creates variables with a ! suffix
EXTRA_LIBS!= pkg-config --libs $(ENABLE) 2>/dev/null || echo
EXTRA_FLAGS!= pkg-config --cflags $(ENABLE) 2>/dev/null || echo

#Default flags
CFLAGS ?= -Wall -O2 -g

# Overwrites for the linker
MYLDLIBS = $(EXTRA_LIBS)
MYCFLAGS = -DHAVE_CONFIG_H $(EXTRA_FLAGS)

# Linker and compiler commands
MYLD = $(CC) $(LDFLAGS) $(TARGET_ARCH)
MYCC = $(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH)

# Features to test for when creating configure.h
FEATURES := GETOPT_LONG POSIX_FADVISE $(ENABLE)

all: hardlink

config.log config.h:
	@for feat in $(FEATURES); do \
		printf "Checking for %s..." "$$feat" | tee -a config.log; \
		if $(MYCC) $(MYCFLAGS) -o /dev/null \
			-DTEST_$$feat configure.c $(LDLIBS) $(MYLDLIBS) 2>>config.log; then \
			printf "\tOK\n" | tee -a config.log; \
			echo "#define HAVE_$$feat 1" >&3; \
		else \
			printf "\tFAIL\n" | tee -a config.log ; \
			echo "#undef HAVE_$$feat" >&3; \
		fi; \
	done 3> config.h

hardlink.o: hardlink.c config.h
	$(MYCC) $(MYCFLAGS) -o $@ -c hardlink.c

hardlink: hardlink.o
	$(MYLD) -o $@ hardlink.o $(LDLIBS) $(MYLDLIBS)

install: hardlink
	install -d  $(DESTDIR)$(BINDIR)
	install -d  $(DESTDIR)$(MANDIR)/man1
	install -m 755 hardlink $(DESTDIR)$(BINDIR)/hardlink
	install -m 644 hardlink.1  $(DESTDIR)$(MANDIR)/man1/hardlink.1

clean:
	rm -f hardlink hardlink.o config.h config.log

=== system/requirements.txt ===
boto
requests
requests-unixsocket
python-swiftclient
flake8

=== debian/changelog ===
aptly (1.3.0+ds1-4ubuntu0.1) focal-security; urgency=medium

  * No-change rebuild due to golang-1.13 update

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 11 Oct 2022 00:14:47 +0200

aptly (1.3.0+ds1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Rename obsolete path debian/tests/control.autodep8 to debian/tests/control.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Sébastien Delafond ]
  * Bump up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Sun, 22 Dec 2019 14:10:19 +0100

aptly (1.3.0+ds1-3) unstable; urgency=medium

  * Build-Depend on golang-golang-x-tools-dev instead of golang-go.tools (Closes: #945884)
  * Lintian fix

 -- Sebastien Delafond <seb@debian.org>  Sat, 21 Dec 2019 10:29:09 +0100

aptly (1.3.0+ds1-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove myself from uploaders.

 -- Alexandre Viau <aviau@debian.org>  Sun, 15 Sep 2019 19:27:47 -0400

=== debian/control ===
Source: aptly
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sebastien Delafond <seb@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-golang-x-tools-dev,
               bash-completion,
               golang-github-disposaboy-jsonconfigreader-dev,
               golang-gopkg-h2non-filetype.v1-dev,
               golang-github-aleksi-pointer-dev,
               golang-github-awalterschulze-gographviz-dev,
               golang-github-mkrautz-goar-dev,
               golang-github-smira-go-xz-dev,
               golang-github-smira-go-ftp-protocol-dev,
               golang-github-smira-flag-dev,
               golang-github-smira-commander-dev,
               golang-gopkg-cheggaaa-pb.v1-dev,
               golang-github-mattn-go-shellwords-dev,
               golang-github-smira-go-aws-auth-dev,
               golang-github-wsxiaoys-terminal-dev,
               golang-github-mxk-go-flowrate-dev,
               golang-github-pborman-uuid-dev,
               golang-github-kjk-lzma-dev,
               golang-github-aws-aws-sdk-go-dev,
               golang-github-gin-gonic-gin-dev,
               golang-github-ncw-swift-dev,
               golang-github-pkg-errors-dev,
               golang-github-syndtr-goleveldb-dev,
               golang-github-ugorji-go-codec-dev,
               golang-golang-x-sys-dev,
               golang-golang-x-crypto-dev,
Standards-Version: 4.4.1
Homepage: https://www.aptly.info
Vcs-Git: https://salsa.debian.org/debian/aptly.git
Vcs-Browser: https://salsa.debian.org/debian/aptly
XS-Go-Import-Path: github.com/aptly-dev/aptly
Testsuite: autopkgtest-pkg-go

Package: aptly
Architecture: any
Depends: bzip2, xz-utils, gnupg1, gpgv1, ${shlibs:Depends}, ${misc:Depends}
Suggests: graphviz
Built-Using: ${misc:Built-Using}
Description: Swiss army knife for Debian repository management - main package
 It offers several features making it easy to manage Debian package
 repositories:
 .
  - make mirrors of remote Debian/Ubuntu repositories, limiting by
    components/architectures
  - take snapshots of mirrors at any point in time, fixing state of
    repository at some moment of time
  - publish snapshot as Debian repository, ready to be consumed by apt
  - controlled update of one or more packages in snapshot from upstream
    mirror, tracking dependencies
  - merge two or more snapshots into one
 .
 This is the main package, it contains the aptly command-line utility.

Package: aptly-api
Architecture: any
Depends: ${misc:Depends}, aptly, adduser
Built-Using: ${misc:Built-Using}
Description: Swiss army knife for Debian repository management - API
 It offers several features making it easy to manage Debian package
 repositories:
 .
  - make mirrors of remote Debian/Ubuntu repositories, limiting by
    components/architectures
  - take snapshots of mirrors at any point in time, fixing state of
    repository at some moment of time
  - publish snapshot as Debian repository, ready to be consumed by apt
  - controlled update of one or more packages in snapshot from upstream
    mirror, tracking dependencies
  - merge two or more snapshots into one
 .
 This package contains the aptly-api service.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_test:
	# tests are failing for now and the pacakge vendors many libraries

override_dh_auto_install:
	dh_auto_install -- --no-source

%:
	dh $@ --buildsystem=golang --with=golang,bash-completion

=== debian/tests/control ===
# This file is an addition to the autodep8 tests.
#
# See autodep8(1):
# > If `debian/tests/control.autodep8` exists, autodep8
# > will prepend the contents of that file to its own output.

Test-Command: aptly repo create autopkgtest
Restrictions: allow-stderr

## aptly 1.4.0%2Bds1

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-golang,
-               golang-any,
+               golang-1.17,
                golang-golang-x-tools-dev,
                bash-completion,
                golang-github-disposaboy-jsonconfigreader-dev,
@@ -32,7 +32,7 @@
                golang-github-ugorji-go-codec-dev,
                golang-golang-x-sys-dev,
                golang-golang-x-crypto-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://www.aptly.info
 Vcs-Git: https://salsa.debian.org/debian/aptly.git
 Vcs-Browser: https://salsa.debian.org/debian/aptly
@@ -41,8 +41,9 @@
 
 Package: aptly
 Architecture: any
-Depends: bzip2, xz-utils, gnupg1, gpgv1, ${shlibs:Depends}, ${misc:Depends}
+Depends: bzip2, xz-utils, gnupg, gpgv, ${shlibs:Depends}, ${misc:Depends}
 Suggests: graphviz
+Conflicts: gnupg1, gpgv1
 Built-Using: ${misc:Built-Using}
 Description: Swiss army knife for Debian repository management - main package
  It offers several features making it easy to manage Debian package

## aptly 1.4.0+ds1

=== Makefile ===
GOVERSION=$(shell go version | awk '{print $$3;}')
ifdef TRAVIS_TAG
	TAG=$(TRAVIS_TAG)
else
	TAG="$(shell git describe --tags)"
endif
VERSION=$(shell echo $(TAG) | sed 's@^v@@' | sed 's@-@+@g')
PACKAGES=context database deb files gpg http query swift s3 utils
PYTHON?=python
TESTS?=
BINPATH?=$(GOPATH)/bin
RUN_LONG_TESTS?=yes

all: test bench check system-test

prepare:
	curl -sfL https://install.goreleaser.com/github.com/golangci/golangci-lint.sh | sh -s -- -b $(shell go env GOPATH)/bin v1.17.1

dev:
	go get -u github.com/golang/dep/...
	go get -u github.com/laher/goxc

check: system/env
ifeq ($(RUN_LONG_TESTS), yes)
	golangci-lint run
	. system/env/bin/activate && flake8 --max-line-length=200 --exclude=system/env/ system/
endif

install:
	go install -v -ldflags "-X main.Version=$(VERSION)"

system/env: system/requirements.txt
ifeq ($(RUN_LONG_TESTS), yes)
	rm -rf system/env
	virtualenv system/env
	system/env/bin/pip install -r system/requirements.txt
endif

system-test: install system/env
ifeq ($(RUN_LONG_TESTS), yes)
	if [ ! -e ~/aptly-fixture-db ]; then git clone https://github.com/aptly-dev/aptly-fixture-db.git ~/aptly-fixture-db/; fi
	if [ ! -e ~/aptly-fixture-pool ]; then git clone https://github.com/aptly-dev/aptly-fixture-pool.git ~/aptly-fixture-pool/; fi
	PATH=$(BINPATH)/:$(PATH) && . system/env/bin/activate && APTLY_VERSION=$(VERSION) $(PYTHON) system/run.py --long $(TESTS)
endif

test:
	go test -v ./... -gocheck.v=true -race -coverprofile=coverage.txt -covermode=atomic

bench:
	go test -v ./deb -run=nothing -bench=. -benchmem

mem.png: mem.dat mem.gp
	gnuplot mem.gp
	open mem.png

goxc: dev
	rm -rf root/
	mkdir -p root/usr/share/man/man1/ root/etc/bash_completion.d/ root/usr/share/zsh/vendor-completions/
	cp man/aptly.1 root/usr/share/man/man1
	cp completion.d/aptly root/etc/bash_completion.d/
	cp completion.d/_aptly root/usr/share/zsh/vendor-completions/
	gzip root/usr/share/man/man1/aptly.1
	goxc -pv=$(VERSION) -max-processors=2 $(GOXC_OPTS)

release: GOXC_OPTS=-tasks-=bintray,go-vet,go-test,rmbin
release: goxc
	rm -rf build/
	mkdir -p build/
	mv xc-out/$(VERSION)/aptly_$(VERSION)_* build/

man:
	make -C man

version:
	@echo $(VERSION)

.PHONY: man version release goxc

=== man/Makefile ===
all: prepare generate

prepare:
	gem install specific_install
	gem specific_install -l smira/ronn

generate:
	go run ../_man/gen.go

.PHONY: prepare generate

=== debian/changelog ===
aptly (1.4.0+ds1-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports (Closes: #970159)
  * Add myself to Uploaders
  * Skip dwz for Go-built binaries on buster

 -- Sascha Steinbiss <satta@debian.org>  Thu, 18 Feb 2021 10:23:59 +0100

aptly (1.4.0+ds1-2) unstable; urgency=medium

  * Use pipeline from salsa-ci-team
  * Allow reprotest failure
  * Pass version from d/rules (Closes: #968585)

 -- Sebastien Delafond <seb@debian.org>  Fri, 21 Aug 2020 10:13:44 +0200

aptly (1.4.0+ds1-1) unstable; urgency=medium

  * New upstream version 1.4.0+ds1
  * Rediff patches
  * Depend on gnupg 2

 -- Sebastien Delafond <seb@debian.org>  Sun, 22 Dec 2019 15:16:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: aptly
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sebastien Delafond <seb@debian.org>
+Maintainer: Sebastien Delafond <seb@debian.org>
+Uploaders: Sascha Steinbiss <satta@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-golang,
-               golang-1.17,
+               golang-any,
                golang-golang-x-tools-dev,
                bash-completion,
                golang-github-disposaboy-jsonconfigreader-dev,
@@ -32,7 +32,7 @@
                golang-github-ugorji-go-codec-dev,
                golang-golang-x-sys-dev,
                golang-golang-x-crypto-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.4.1
 Homepage: https://www.aptly.info
 Vcs-Git: https://salsa.debian.org/debian/aptly.git
 Vcs-Browser: https://salsa.debian.org/debian/aptly
@@ -43,7 +43,6 @@
 Architecture: any
 Depends: bzip2, xz-utils, gnupg, gpgv, ${shlibs:Depends}, ${misc:Depends}
 Suggests: graphviz
-Conflicts: gnupg1, gpgv1
 Built-Using: ${misc:Built-Using}
 Description: Swiss army knife for Debian repository management - main package
  It offers several features making it easy to manage Debian package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

override_dh_auto_test:
	# tests are failing for now and the pacakge vendors many libraries

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_build:
	dh_auto_build -- -ldflags "-X main.Version=$(DEB_VERSION)"

override_dh_dwz:
	# not for Go on buster

%:
	dh $@ --buildsystem=golang --with=golang,bash-completion

=== debian/watch ===
version=3
opts=\
repacksuffix=+ds1,\
dversionmangle=s/\+ds\d*$// \
https://github.com/aptly-dev/aptly/tags .*/v(\d[\d\.]*)\.tar\.gz debian uupdate

## aptly 1.4.0+ds1-7~bpo11+2+11.0trisquel0

=== debian/changelog ===
aptly (1.4.0+ds1-7~bpo11+2+11.0trisquel0) aramo; urgency=medium

  * Backport to get zstd compression support from debian bullseye.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 18 Nov 2023 05:24:20 +0000

aptly (1.4.0+ds1-7~bpo11+2) bullseye-backports; urgency=high

  * Source-only reupload.

 -- Bastian Germann <bage@debian.org>  Tue, 07 Jun 2022 22:24:12 +0200

aptly (1.4.0+ds1-7~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports (Closes: #1012287)

 -- Bastian Germann <bage@debian.org>  Fri, 03 Jun 2022 07:37:12 +0000

aptly (1.4.0+ds1-7) unstable; urgency=medium

  * Team upload.
  * Add support for zstd compression (Closes: #1010465)

 -- Anton Gladky <gladk@debian.org>  Tue, 17 May 2022 22:42:29 +0200

aptly (1.4.0+ds1-6) unstable; urgency=medium

  * Conflict on gpgv1 (Closes: #990821)

 -- Sebastien Delafond <seb@debian.org>  Thu, 04 Nov 2021 10:24:53 +0100

aptly (1.4.0+ds1-5) unstable; urgency=medium

  * Conflict on gnupg1 (Closes: #990821)

 -- Sebastien Delafond <seb@debian.org>  Thu, 14 Oct 2021 18:43:04 +0200

aptly (1.4.0+ds1-4) unstable; urgency=medium

  * Install correct bash completion snippet (Closes: #984979)

 -- Sebastien Delafond <seb@debian.org>  Thu, 11 Mar 2021 15:20:57 +0100

aptly (1.4.0+ds1-3) unstable; urgency=medium

  * Fix s3 etag issue (Closes: #983877)
  * Bump-up d/watch version
  * Bump-up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Wed, 03 Mar 2021 10:50:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: aptly
 Section: utils
 Priority: optional
-Maintainer: Sebastien Delafond <seb@debian.org>
-Uploaders: Sascha Steinbiss <satta@debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
@@ -18,6 +17,7 @@
                golang-github-smira-flag-dev,
                golang-github-smira-commander-dev,
                golang-gopkg-cheggaaa-pb.v1-dev,
+               golang-github-klauspost-compress-dev,
                golang-github-mattn-go-shellwords-dev,
                golang-github-smira-go-aws-auth-dev,
                golang-github-wsxiaoys-terminal-dev,
@@ -32,7 +32,7 @@
                golang-github-ugorji-go-codec-dev,
                golang-golang-x-sys-dev,
                golang-golang-x-crypto-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://www.aptly.info
 Vcs-Git: https://salsa.debian.org/debian/aptly.git
 Vcs-Browser: https://salsa.debian.org/debian/aptly
@@ -43,6 +43,7 @@
 Architecture: any
 Depends: bzip2, xz-utils, gnupg, gpgv, ${shlibs:Depends}, ${misc:Depends}
 Suggests: graphviz
+Conflicts: gnupg1, gpgv1
 Built-Using: ${misc:Built-Using}
 Description: Swiss army knife for Debian repository management - main package
  It offers several features making it easy to manage Debian package

## aptly 1.5.0+ds1

=== Makefile ===
--- 
+++ 
@@ -2,28 +2,32 @@
 ifdef TRAVIS_TAG
 	TAG=$(TRAVIS_TAG)
 else
-	TAG="$(shell git describe --tags)"
+	TAG="$(shell git describe --tags --always)"
 endif
 VERSION=$(shell echo $(TAG) | sed 's@^v@@' | sed 's@-@+@g')
 PACKAGES=context database deb files gpg http query swift s3 utils
-PYTHON?=python
+PYTHON?=python3
 TESTS?=
 BINPATH?=$(GOPATH)/bin
 RUN_LONG_TESTS?=yes
 
-all: test bench check system-test
+all: modules test bench check system-test
 
 prepare:
-	curl -sfL https://install.goreleaser.com/github.com/golangci/golangci-lint.sh | sh -s -- -b $(shell go env GOPATH)/bin v1.17.1
+	curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $(shell go env GOPATH)/bin v1.43.0
+
+modules:
+	go mod download
+	go mod verify
+	go mod tidy -v
 
 dev:
-	go get -u github.com/golang/dep/...
 	go get -u github.com/laher/goxc
 
 check: system/env
 ifeq ($(RUN_LONG_TESTS), yes)
 	golangci-lint run
-	. system/env/bin/activate && flake8 --max-line-length=200 --exclude=system/env/ system/
+	system/env/bin/flake8
 endif
 
 install:
@@ -32,7 +36,7 @@
 system/env: system/requirements.txt
 ifeq ($(RUN_LONG_TESTS), yes)
 	rm -rf system/env
-	virtualenv system/env
+	$(PYTHON) -m venv system/env
 	system/env/bin/pip install -r system/requirements.txt
 endif
 
@@ -74,4 +78,4 @@
 version:
 	@echo $(VERSION)
 
-.PHONY: man version release goxc
+.PHONY: man modules version release goxc

=== man/Makefile ===
RUBYBINPATH=$(shell ruby -r rubygems -e 'puts Gem.user_dir')/bin

all: $(RUBYBINPATH)/ronn generate

$(RUBYBINPATH)/ronn:
	gem install --user-install specific_install
	gem specific_install --user-install -l smira/ronn

generate:
	PATH=$(RUBYBINPATH):$(PATH) go run ../_man/gen.go

.PHONY: generate

=== system/requirements.txt ===
boto
requests
requests-unixsocket
python-swiftclient
flake8
termcolor

=== debian/changelog ===
aptly (1.5.0+ds1-2) unstable; urgency=medium

  [ Shengjing Zhu ]
  * Replace golang-gopkg-cheggaaa-pb.v1-dev with
    golang-github-cheggaaa-pb-dev (Closes: #1050900)

 -- Sebastien Delafond <seb@debian.org>  Mon, 04 Sep 2023 08:49:36 +0200

aptly (1.5.0+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #1022721), including fix for "Order of
    fields in Packages/Sources is unpredictable" (Closes: #907121).

 -- Roland Mas <lolando@debian.org>  Tue, 31 Jan 2023 14:47:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,38 +1,43 @@
 Source: aptly
 Section: utils
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Sebastien Delafond <seb@debian.org>
+Build-Depends: bash-completion,
+               debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-golang-x-tools-dev,
-               bash-completion,
-               golang-github-disposaboy-jsonconfigreader-dev,
-               golang-gopkg-h2non-filetype.v1-dev,
                golang-github-aleksi-pointer-dev,
                golang-github-awalterschulze-gographviz-dev,
+               golang-github-aws-aws-sdk-go-dev,
+               golang-github-azure-azure-storage-blob-go-dev,
+               golang-github-cavaliergopher-grab-dev,
+               golang-github-cheggaaa-pb-dev,
+               golang-github-disposaboy-jsonconfigreader-dev,
+               golang-github-gin-gonic-gin-dev,
+               golang-github-kjk-lzma-dev,
+               golang-github-klauspost-compress-dev,
+               golang-github-klauspost-pgzip-dev,
+               golang-github-mattn-go-shellwords-dev,
                golang-github-mkrautz-goar-dev,
+               golang-github-mxk-go-flowrate-dev,
+               golang-github-ncw-swift-dev,
+               golang-github-pborman-uuid-dev,
+               golang-github-pkg-errors-dev,
+               golang-github-prometheus-client-golang-dev,
+               golang-github-smira-commander-dev,
+               golang-github-smira-flag-dev,
+               golang-github-smira-go-aws-auth-dev,
+               golang-github-smira-go-ftp-protocol-dev,
                golang-github-smira-go-xz-dev,
-               golang-github-smira-go-ftp-protocol-dev,
-               golang-github-smira-flag-dev,
-               golang-github-smira-commander-dev,
-               golang-gopkg-cheggaaa-pb.v1-dev,
-               golang-github-klauspost-compress-dev,
-               golang-github-mattn-go-shellwords-dev,
-               golang-github-smira-go-aws-auth-dev,
-               golang-github-wsxiaoys-terminal-dev,
-               golang-github-mxk-go-flowrate-dev,
-               golang-github-pborman-uuid-dev,
-               golang-github-kjk-lzma-dev,
-               golang-github-aws-aws-sdk-go-dev,
-               golang-github-gin-gonic-gin-dev,
-               golang-github-ncw-swift-dev,
-               golang-github-pkg-errors-dev,
                golang-github-syndtr-goleveldb-dev,
                golang-github-ugorji-go-codec-dev,
+               golang-github-wsxiaoys-terminal-dev,
+               golang-golang-x-crypto-dev,
                golang-golang-x-sys-dev,
-               golang-golang-x-crypto-dev,
-Standards-Version: 4.5.1
+               golang-golang-x-time-dev,
+               golang-golang-x-tools-dev,
+               golang-gopkg-h2non-filetype.v1-dev
+Standards-Version: 4.6.1
 Homepage: https://www.aptly.info
 Vcs-Git: https://salsa.debian.org/debian/aptly.git
 Vcs-Browser: https://salsa.debian.org/debian/aptly

=== debian/tests/control ===
# This file is an addition to the autodep8 tests.
#
# See autodep8(1):
# > If `debian/tests/control.autodep8` exists, autodep8
# > will prepend the contents of that file to its own output.

Test-Command: HOME=/tmp aptly repo create autopkgtest
Restrictions: allow-stderr

## aptly 1.6.0+ds1

=== Makefile ===
GOPATH=$(shell go env GOPATH)
VERSION=$(shell make -s version)
PYTHON?=python3
BINPATH?=$(GOPATH)/bin
GOLANGCI_LINT_VERSION=v1.54.1  # version supporting go 1.19
COVERAGE_DIR?=$(shell mktemp -d)
GOOS=$(shell go env GOHOSTOS)
GOARCH=$(shell go env GOHOSTARCH)

# Uncomment to update system test gold files
# CAPTURE := "--capture"

help:  ## Print this help
	@grep -E '^[a-zA-Z][a-zA-Z0-9_-]*:.*?## .*$$' $(MAKEFILE_LIST) | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

prepare:  ## Install go module dependencies
	# Prepare go modules
	go mod verify
	go mod tidy -v
	# Generate VERSION file
	go generate

releasetype:  # Print release type: ci (on any branch/commit), release (on a tag)
	@reltype=ci ; \
	gitbranch=`git rev-parse --abbrev-ref HEAD` ; \
	if [ "$$gitbranch" = "HEAD" ] && [ "$$FORCE_CI" != "true" ]; then \
		gittag=`git describe --tags --exact-match 2>/dev/null` ;\
		if echo "$$gittag" | grep -q '^v[0-9]'; then \
			reltype=release ; \
		fi ; \
	fi ; \
	echo $$reltype

version:  ## Print aptly version
	@ci="" ; \
	if [ "`make -s releasetype`" = "ci" ]; then \
		ci=`TZ=UTC git show -s --format='+%cd.%h' --date=format-local:'%Y%m%d%H%M%S'`; \
	fi ; \
	if which dpkg-parsechangelog > /dev/null 2>&1; then \
		echo `dpkg-parsechangelog -S Version`$$ci; \
	else \
		echo `grep ^aptly -m1  debian/changelog | sed 's/.*(\([^)]\+\)).*/\1/'`$$ci ; \
	fi

swagger-install:
	# Install swag
	@test -f $(BINPATH)/swag || GOOS= GOARCH= go install github.com/swaggo/swag/cmd/swag@latest
	# Generate swagger.conf
	cp docs/swagger.conf.tpl docs/swagger.conf
	echo "// @version $(VERSION)" >> docs/swagger.conf

azurite-start:
	azurite -l /tmp/aptly-azurite & \
	echo $$! > ~/.azurite.pid

azurite-stop:
	@kill `cat ~/.azurite.pid`

swagger: swagger-install
	# Generate swagger docs
	@PATH=$(BINPATH)/:$(PATH) swag init --parseDependency --parseInternal --markdownFiles docs --generalInfo docs/swagger.conf

etcd-install:
	# Install etcd
	test -d /tmp/aptly-etcd || system/t13_etcd/install-etcd.sh

flake8:  ## run flake8 on system test python files
	flake8 system/

lint: prepare
	# Install golangci-lint
	@test -f $(BINPATH)/golangci-lint || go install github.com/golangci/golangci-lint/cmd/golangci-lint@$(GOLANGCI_LINT_VERSION)
	# Running lint
	@PATH=$(BINPATH)/:$(PATH) golangci-lint run


build: prepare swagger  ## Build aptly
	go build -o build/aptly

install:
	@echo "\e[33m\e[1mBuilding aptly ...\e[0m"
	# go generate
	@go generate
	# go install -v
	@out=`mktemp`; if ! go install -v > $$out 2>&1; then cat $$out; rm -f $$out; echo "\nBuild failed\n"; exit 1; else rm -f $$out; fi

test: prepare swagger etcd-install  ## Run unit tests
	@echo "\e[33m\e[1mStarting etcd ...\e[0m"
	@mkdir -p /tmp/aptly-etcd-data; system/t13_etcd/start-etcd.sh > /tmp/aptly-etcd-data/etcd.log 2>&1 &
	@echo "\e[33m\e[1mRunning go test ...\e[0m"
	go test -v ./... -gocheck.v=true -coverprofile=unit.out; echo $$? > .unit-test.ret
	@echo "\e[33m\e[1mStopping etcd ...\e[0m"
	@pid=`cat /tmp/etcd.pid`; kill $$pid
	@rm -f /tmp/aptly-etcd-data/etcd.log
	@ret=`cat .unit-test.ret`; if [ "$$ret" = "0" ]; then echo "\n\e[32m\e[1mUnit Tests SUCCESSFUL\e[0m"; else echo "\n\e[31m\e[1mUnit Tests FAILED\e[0m"; fi; rm -f .unit-test.ret; exit $$ret

system-test: prepare swagger etcd-install  ## Run system tests
	# build coverage binary
	go test -v -coverpkg="./..." -c -tags testruncli
	# Download fixture-db, fixture-pool, etcd.db
	if [ ! -e ~/aptly-fixture-db ]; then git clone https://github.com/aptly-dev/aptly-fixture-db.git ~/aptly-fixture-db/; fi
	if [ ! -e ~/aptly-fixture-pool ]; then git clone https://github.com/aptly-dev/aptly-fixture-pool.git ~/aptly-fixture-pool/; fi
	test -f ~/etcd.db || (curl -o ~/etcd.db.xz http://repo.aptly.info/system-tests/etcd.db.xz && xz -d ~/etcd.db.xz)
	# Run system tests
	PATH=$(BINPATH)/:$(PATH) && FORCE_COLOR=1 $(PYTHON) system/run.py --long --coverage-dir $(COVERAGE_DIR) $(CAPTURE) $(TEST)

bench:
	@echo "\e[33m\e[1mRunning benchmark ...\e[0m"
	go test -v ./deb -run=nothing -bench=. -benchmem

serve: prepare swagger-install  ## Run development server (auto recompiling)
	test -f $(BINPATH)/air || go install github.com/air-verse/air@v1.52.3
	cp debian/aptly.conf ~/.aptly.conf
	sed -i /enable_swagger_endpoint/s/false/true/ ~/.aptly.conf
	PATH=$(BINPATH):$$PATH air -build.pre_cmd 'swag init -q --markdownFiles docs --generalInfo docs/swagger.conf' -build.exclude_dir docs,system,debian,pgp/keyrings,pgp/test-bins,completion.d,man,deb/testdata,console,_man,systemd,obj-x86_64-linux-gnu -- api serve -listen 0.0.0.0:3142

dpkg: prepare swagger  ## Build debian packages
	@test -n "$(DEBARCH)" || (echo "please define DEBARCH"; exit 1)
	# set debian version
	@if [ "`make -s releasetype`" = "ci" ]; then  \
		echo CI Build, setting version... ; \
		test ! -f debian/changelog.dpkg-bak || mv debian/changelog.dpkg-bak debian/changelog ; \
		cp debian/changelog debian/changelog.dpkg-bak ; \
		DEBEMAIL="CI <ci@aptly.info>" dch -v `make -s version` "CI build" ; \
	fi
	# clean
	rm -rf obj-i686-linux-gnu obj-arm-linux-gnueabihf obj-aarch64-linux-gnu obj-x86_64-linux-gnu
	# Run dpkg-buildpackage
	@buildtype="any" ; \
	if [ "$(DEBARCH)" = "amd64" ]; then  \
	  buildtype="any,all" ; \
	fi ; \
	echo "\e[33m\e[1mBuilding: $$buildtype\e[0m" ; \
	cmd="dpkg-buildpackage -us -uc --build=$$buildtype -d --host-arch=$(DEBARCH)" ; \
	echo "$$cmd" ; \
	$$cmd
	lintian ../*_$(DEBARCH).changes || true
	# cleanup
	@test ! -f debian/changelog.dpkg-bak || mv debian/changelog.dpkg-bak debian/changelog; \
	mkdir -p build && mv ../*.deb build/ ; \
	cd build && ls -l *.deb

binaries: prepare swagger  ## Build binary releases (FreeBSD, MacOS, Linux tar)
	# build aptly
	GOOS=$(GOOS) GOARCH=$(GOARCH) go build -o build/tmp/aptly -ldflags='-extldflags=-static'
	# install
	@mkdir -p build/tmp/man build/tmp/completion/bash_completion.d build/tmp/completion/zsh/vendor-completions
	@cp man/aptly.1 build/tmp/man/
	@cp completion.d/aptly build/tmp/completion/bash_completion.d/
	@cp completion.d/_aptly build/tmp/completion/zsh/vendor-completions/
	@cp README.rst LICENSE AUTHORS build/tmp/
	@gzip -f build/tmp/man/aptly.1
	@path="aptly_$(VERSION)_$(GOOS)_$(GOARCH)"; \
	rm -rf "build/$$path"; \
	mv build/tmp build/"$$path"; \
	rm -rf build/tmp; \
	cd build; \
	zip -r "$$path".zip "$$path" > /dev/null \
		&& echo "Built build/$${path}.zip"; \
	rm -rf "$$path"

docker-image:  ## Build aptly-dev docker image
	@docker build -f system/Dockerfile . -t aptly-dev

docker-build:  ## Build aptly in docker container
	@docker run -it --rm -v ${PWD}:/work/src aptly-dev /work/src/system/docker-wrapper build

docker-shell:  ## Run aptly and other commands in docker container
	@docker run -it --rm -p 3142:3142 -v ${PWD}:/work/src aptly-dev /work/src/system/docker-wrapper || true

docker-deb:  ## Build debian packages in docker container
	@docker run -it --rm -v ${PWD}:/work/src aptly-dev /work/src/system/docker-wrapper dpkg DEBARCH=amd64

docker-unit-test:  ## Run unit tests in docker container
	@docker run -it --rm -v ${PWD}:/work/src aptly-dev /work/src/system/docker-wrapper \
		azurite-start \
		AZURE_STORAGE_ENDPOINT=http://127.0.0.1:10000/devstoreaccount1 \
		AZURE_STORAGE_ACCOUNT=devstoreaccount1 \
		AZURE_STORAGE_ACCESS_KEY="Eby8vdM02xNOcqFlqUwJPLlmEtlCDXJ1OUzFT50uSRZ6IFsuFq2UVErCz4I6tq/K1SZFPTOtr/KBHBeksoGMGw==" \
		test \
		azurite-stop

docker-system-test:  ## Run system tests in docker container (add TEST=t04_mirror or TEST=UpdateMirror26Test to run only specific tests)
	@docker run -it --rm -v ${PWD}:/work/src aptly-dev /work/src/system/docker-wrapper \
		azurite-start \
		AZURE_STORAGE_ENDPOINT=http://127.0.0.1:10000/devstoreaccount1 \
		AZURE_STORAGE_ACCOUNT=devstoreaccount1 \
		AZURE_STORAGE_ACCESS_KEY="Eby8vdM02xNOcqFlqUwJPLlmEtlCDXJ1OUzFT50uSRZ6IFsuFq2UVErCz4I6tq/K1SZFPTOtr/KBHBeksoGMGw==" \
		system-test TEST=$(TEST) \
		azurite-stop

docker-serve:  ## Run development server (auto recompiling) on http://localhost:3142
	@docker run -it --rm -p 3142:3142 -v ${PWD}:/work/src aptly-dev /work/src/system/docker-wrapper serve || true

docker-lint:  ## Run golangci-lint in docker container
	@docker run -it --rm -v ${PWD}:/work/src aptly-dev /work/src/system/docker-wrapper lint

docker-binaries:  ## Build binary releases (FreeBSD, MacOS, Linux tar) in docker container
	@docker run -it --rm -v ${PWD}:/work/src aptly-dev /work/src/system/docker-wrapper binaries

docker-man:  ## Create man page in docker container
	@docker run -it --rm -v ${PWD}:/work/src aptly-dev /work/src/system/docker-wrapper man

mem.png: mem.dat mem.gp
	gnuplot mem.gp
	open mem.png

man:  ## Create man pages
	make -C man

clean:  ## remove local build and module cache
	# Clean all generated and build files
	test ! -e .go || find .go/ -type d ! -perm -u=w -exec chmod u+w {} \;
	rm -rf .go/
	rm -rf build/ obj-*-linux-gnu* tmp/
	rm -f unit.out aptly.test VERSION docs/docs.go docs/swagger.json docs/swagger.yaml docs/swagger.conf
	find system/ -type d -name __pycache__ -exec rm -rf {} \; 2>/dev/null || true

.PHONY: help man prepare swagger version binaries build docker-release docker-system-test docker-unit-test docker-lint docker-build docker-image docker-man docker-shell docker-serve clean releasetype dpkg serve flake8

=== debian/changelog ===
aptly (1.6.0+ds1-8) unstable; urgency=medium

  [ Sébastien Delafond ]
  * tests: disable riscv64-flaky EditRepo4Test

 -- Sebastien Delafond <seb@debian.org>  Fri, 21 Feb 2025 06:54:18 +0100

aptly (1.6.0+ds1-7) unstable; urgency=medium

  [ Sébastien Delafond ]
  * tests: clean way to disable single tests, disable s390-flaky CreateMirror35Test

 -- Sebastien Delafond <seb@debian.org>  Thu, 20 Feb 2025 07:26:41 +0100

aptly (1.6.0+ds1-6) unstable; urgency=medium

  [ Sébastien Delafond ]
  * tests: disable system-test's etcd tests as the corresponding fixture is also arch-specific

 -- Sebastien Delafond <seb@debian.org>  Wed, 19 Feb 2025 14:02:19 +0100

aptly (1.6.0+ds1-5) unstable; urgency=medium

  [ Sébastien Delafond ]
  * tests: do not use upstream's etcd installer

 -- Sebastien Delafond <seb@debian.org>  Wed, 19 Feb 2025 07:20:44 +0100

aptly (1.6.0+ds1-4) unstable; urgency=medium

  [ Sébastien Delafond ]
  * postrm: remove aptly-api user and home directory on purge
  * tests: use extensive coverage from make's test and system-test

 -- Sebastien Delafond <seb@debian.org>  Tue, 18 Feb 2025 10:36:13 +0100

aptly (1.6.0+ds1-3) unstable; urgency=medium

  [ Sébastien Delafond ]
  * aptly.conf: fix s3 example

 -- Sebastien Delafond <seb@debian.org>  Mon, 13 Jan 2025 14:51:29 +0100

aptly (1.6.0+ds1-2) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Document disabled swagger in default config file
  * Rediff patches: swagger references in man page

 -- Sebastien Delafond <seb@debian.org>  Mon, 30 Dec 2024 11:11:07 +0100

aptly (1.6.0+ds1-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Official 1.6 release

 -- Sebastien Delafond <seb@debian.org>  Fri, 27 Dec 2024 14:23:29 +0100

aptly (1.6.0+ds1~beta3-1) experimental; urgency=medium

  [ Sébastien Delafond ]
  * Latest upstream version

 -- Sebastien Delafond <seb@debian.org>  Wed, 11 Dec 2024 18:16:19 +0100

aptly (1.6.0+ds1~beta2-1) experimental; urgency=medium

  [ Sébastien Delafond ]
  * Latest upstream version

  [ André Roth ]
  * set systemd service file limit to 32768

 -- Sebastien Delafond <seb@debian.org>  Thu, 21 Nov 2024 16:08:05 +0100

aptly (1.6.0+ds1~beta1-1) experimental; urgency=medium

  [ Sébastien Delafond ]
  * Latest upstream version
  * Disable "use new azure-sdk"

 -- Sebastien Delafond <seb@debian.org>  Sun, 17 Nov 2024 18:52:06 +0100

aptly (1.6.0+ds1~alpha5-1) experimental; urgency=medium

  * Sort out dependencies on gpg*
  * Reduce diff with upstream some more

 -- Sebastien Delafond <seb@debian.org>  Sun, 17 Nov 2024 15:59:23 +0100

aptly (1.6.0+ds1~alpha4-1) experimental; urgency=medium

  [ Sébastien Delafond ]
  * Remove build-dep on git
  * Adjust systemd unit for aptly-api

 -- Sebastien Delafond <seb@debian.org>  Sun, 17 Nov 2024 14:51:49 +0100

aptly (1.6.0+ds1~alpha3-1) experimental; urgency=medium

  [ Sébastien Delafond ]
  * Latest upstream version
  * Remove useless maintainer scripts

 -- Sebastien Delafond <seb@debian.org>  Sun, 17 Nov 2024 07:50:06 +0100

aptly (1.6.0+ds1~alpha2-1) experimental; urgency=medium

  [ Sébastien Delafond ]
  * Latest upstream version

 -- Sebastien Delafond <seb@debian.org>  Sat, 16 Nov 2024 14:42:10 +0100

aptly (1.6.0+ds1~alpha1-2) experimental; urgency=medium

  [ Sébastien Delafond ]
  * Add zsh completion
  * aptly-api: revert arch:all, so mv_conffile does the right thing

 -- Sebastien Delafond <seb@debian.org>  Wed, 16 Oct 2024 09:10:05 +0200

aptly (1.6.0+ds1~alpha1-1) experimental; urgency=medium

  [ Sébastien Delafond ]
  * d/patches: remove old patch, and disable swagger support
  * d/control: bump up Standards-Version
  * Adjust packaging for 1.6.0~alpha1

 -- Sebastien Delafond <seb@debian.org>  Tue, 15 Oct 2024 14:40:57 +0200

=== debian/control ===
--- 
+++ 
@@ -5,51 +5,91 @@
 Build-Depends: bash-completion,
                debhelper-compat (= 13),
                dh-golang,
-               golang-any,
+               golang-go,
                golang-github-aleksi-pointer-dev,
                golang-github-awalterschulze-gographviz-dev,
-               golang-github-aws-aws-sdk-go-dev,
+               golang-github-aws-aws-sdk-go-v2-dev (>= 1.24.1),
+               golang-github-aws-smithy-go-dev,
+               golang-github-azure-azure-pipeline-go-dev,
                golang-github-azure-azure-storage-blob-go-dev,
+               golang-github-beorn7-perks-dev,
                golang-github-cavaliergopher-grab-dev,
-               golang-github-cheggaaa-pb-dev,
+               golang-github-cespare-xxhash-dev,
+               golang-github-cheggaaa-pb.v3-dev,
+               golang-github-cloudflare-circl-dev,
+               golang-github-coreos-go-semver-dev,
+               golang-github-coreos-go-systemd-dev,
                golang-github-disposaboy-jsonconfigreader-dev,
+               golang-github-gin-contrib-sse-dev,
                golang-github-gin-gonic-gin-dev,
+               golang-github-gogo-protobuf-dev,
+               golang-snappy-go-dev,
+               golang-github-google-uuid-dev,
+               golang-github-go-playground-locales-dev,
+               golang-github-go-playground-universal-translator-dev,
+               golang-github-go-playground-validator-v10-dev,
+               golang-gopkg-h2non-filetype.v1-dev,
+               golang-github-hashicorp-errwrap-dev,
+               golang-github-hashicorp-go-multierror-dev,
+               golang-github-jlaffaye-ftp-dev,
                golang-github-kjk-lzma-dev,
                golang-github-klauspost-compress-dev,
                golang-github-klauspost-pgzip-dev,
+               golang-github-leodido-go-urn-dev,
+               golang-github-mattn-go-colorable-dev,
+               golang-github-mattn-go-ieproxy-dev,
+               golang-github-mattn-go-isatty-dev,
+               golang-github-mattn-go-runewidth-dev,
                golang-github-mattn-go-shellwords-dev,
                golang-github-mkrautz-goar-dev,
+               golang-github-munnerz-goautoneg-dev,
                golang-github-mxk-go-flowrate-dev,
                golang-github-ncw-swift-dev,
                golang-github-pborman-uuid-dev,
+               golang-github-pelletier-go-toml,
                golang-github-pkg-errors-dev,
                golang-github-prometheus-client-golang-dev,
+               golang-github-prometheus-client-model-dev,
+               golang-github-prometheus-common-dev,
+               golang-github-prometheus-procfs-dev,
+               golang-github-protonmail-go-crypto-dev,
+               golang-github-rivo-uniseg-dev,
+               golang-github-rs-zerolog-dev (>= 1.29.1),
+               golang-github-saracen-walker-dev,
                golang-github-smira-commander-dev,
                golang-github-smira-flag-dev,
-               golang-github-smira-go-aws-auth-dev,
                golang-github-smira-go-ftp-protocol-dev,
                golang-github-smira-go-xz-dev,
                golang-github-syndtr-goleveldb-dev,
-               golang-github-ugorji-go-codec-dev,
+               golang-github-ugorji-go-codec,
                golang-github-wsxiaoys-terminal-dev,
                golang-golang-x-crypto-dev,
+               golang-golang-x-net-dev,
+               golang-golang-x-sync-dev,
                golang-golang-x-sys-dev,
+               golang-golang-x-term-dev,
+               golang-golang-x-text-dev,
                golang-golang-x-time-dev,
-               golang-golang-x-tools-dev,
-               golang-gopkg-h2non-filetype.v1-dev
-Standards-Version: 4.6.1
+               golang-google-genproto-dev,
+               golang-google-grpc-dev,
+               golang-google-protobuf-dev,
+               golang-gopkg-yaml.v2-dev,
+               golang-go.uber-multierr-dev,
+               golang-go.uber-zap-dev,
+               golang-etcd-server-dev (>= 3.5.15-7),
+               golang-gopkg-yaml.v3-dev,
+Standards-Version: 4.7.0
 Homepage: https://www.aptly.info
 Vcs-Git: https://salsa.debian.org/debian/aptly.git
 Vcs-Browser: https://salsa.debian.org/debian/aptly
 XS-Go-Import-Path: github.com/aptly-dev/aptly
-Testsuite: autopkgtest-pkg-go
 
 Package: aptly
 Architecture: any
-Depends: bzip2, xz-utils, gnupg, gpgv, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, bzip2, xz-utils, gpgv, gpg
+Conflicts: gnupg1, gpgv1
 Suggests: graphviz
-Conflicts: gnupg1, gpgv1
-Built-Using: ${misc:Built-Using}
+Built-Using: ${misc:Static-Built-Using}, ${misc:Built-Using}
 Description: Swiss army knife for Debian repository management - main package
  It offers several features making it easy to manage Debian package
  repositories:
@@ -67,8 +107,7 @@
 
 Package: aptly-api
 Architecture: any
-Depends: ${misc:Depends}, aptly, adduser
-Built-Using: ${misc:Built-Using}
+Depends: ${misc:Depends}, aptly
 Description: Swiss army knife for Debian repository management - API
  It offers several features making it easy to manage Debian package
  repositories:

## aptly 1.6.1%2Bds1

=== debian/tests/control ===
Tests: unit-test
Depends: @, @builddeps@, ca-certificates, curl, git, gpg, gpg-agent
Restrictions: allow-stderr, flaky

Tests: system-test
Depends: @, @builddeps@, ca-certificates, curl, dirmngr, git, gpg, gpg-agent, graphviz, procps, python3, python3-requests-unixsocket, python3-termcolor, python3-swiftclient, python3-boto3, python3-azure-storage, python3-etcd3, python3-plyvel, sudo, zip
Restrictions: allow-stderr

## aptly 1.6.1+ds1

=== Makefile ===
--- 
+++ 
@@ -140,7 +140,7 @@
 	mkdir -p build && mv ../*.deb build/ ; \
 	cd build && ls -l *.deb
 
-binaries: prepare swagger  ## Build binary releases (FreeBSD, MacOS, Linux tar)
+binaries: prepare swagger  ## Build binary releases (FreeBSD, macOS, Linux generic)
 	# build aptly
 	GOOS=$(GOOS) GOARCH=$(GOARCH) go build -o build/tmp/aptly -ldflags='-extldflags=-static'
 	# install
@@ -195,7 +195,7 @@
 docker-lint:  ## Run golangci-lint in docker container
 	@docker run -it --rm -v ${PWD}:/work/src aptly-dev /work/src/system/docker-wrapper lint
 
-docker-binaries:  ## Build binary releases (FreeBSD, MacOS, Linux tar) in docker container
+docker-binaries:  ## Build binary releases (FreeBSD, macOS, Linux generic) in docker container
 	@docker run -it --rm -v ${PWD}:/work/src aptly-dev /work/src/system/docker-wrapper binaries
 
 docker-man:  ## Create man page in docker container

=== debian/changelog ===
aptly (1.6.1+ds1-3) unstable; urgency=medium

  [ Sébastien Delafond ]
  * tests: declare needs-internet for system-test
  * tests: disable unit test TestVerifyClearsigned & system test
    CreateMirror31Test (Closes: #1108828)

 -- Sebastien Delafond <seb@debian.org>  Tue, 08 Jul 2025 14:12:52 +0200

aptly (1.6.1+ds1-2) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Do not re-publish unchanged files to S3 every single time (Closes: #1104299)

 -- Sebastien Delafond <seb@debian.org>  Mon, 28 Apr 2025 15:38:43 +0200

aptly (1.6.1+ds1-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 1.6.1

 -- Sebastien Delafond <seb@debian.org>  Mon, 24 Feb 2025 09:04:35 +0100

=== debian/control ===
--- 
+++ 
@@ -45,7 +45,6 @@
                golang-github-munnerz-goautoneg-dev,
                golang-github-mxk-go-flowrate-dev,
                golang-github-ncw-swift-dev,
-               golang-github-pborman-uuid-dev,
                golang-github-pelletier-go-toml,
                golang-github-pkg-errors-dev,
                golang-github-prometheus-client-golang-dev,

=== debian/tests/control ===
Tests: unit-test
Depends: @, @builddeps@, ca-certificates, curl, git, gpg, gpg-agent
Restrictions: allow-stderr

Tests: system-test
Depends: @, @builddeps@, ca-certificates, curl, dirmngr, git, gpg, gpg-agent, graphviz, procps, python3, python3-requests-unixsocket, python3-termcolor, python3-swiftclient, python3-boto3, python3-azure-storage, python3-etcd3, python3-plyvel, sudo, zip
Restrictions: allow-stderr, needs-internet

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts=\
 repacksuffix=+ds1,\
 dversionmangle=s/\+ds\d*$// \
